<?php
declare(strict_types=1);

namespace app\common\facade;

use think\Facade;

/**
 * @see \app\common\utils\StringUtils
 * @package app\common\facade
 * @mixin \app\common\utils\StringUtils
 * @method static bool startsWith(string $string, string $subString) 判断$string开头是否包含$subString
 * @method static bool endsWith(string $string, string $subString) 判断$string末尾是否包含$subString
 * @method static string camelizeFirstOn(string $string, $separator = '_') 下划线转驼峰（首字母大写）
 * @method static string camelize(string $string, $separator = '_')下划线转驼峰（首字母小写）
 * @method static string uncamelize($camelCaps, $separator = '_') 驼峰命名转下划线命名
 * @method static string generate_stochastic_string(int $length = 16) 生成随机字符串
 */
class StringUtils extends Facade
{   
    /**
    * 获取当前Facade对应类名（或者已经绑定的容器对象标识）
    * @access protected
    * @return string
    */
    protected static function getFacadeClass()
    {
        return 'app\common\utils\StringUtils';
    }
}
